QGIS Application - Bug report #13037
WFS GetCapabilities respons misses <keywords> key
2015-06-24 11:59 AM - Michele Giordano

Status: Closed

Priority: High

Assignee: René-Luc RelLuc

Category: QGIS Server

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 21112
Description

When you request getCapabilities to QGIS-server es.
http://x.x.x.x/cgi-bin/qgis_mapserv.fcgi?map=myproject.qgs&#38;service=WFS&#38;request=GetCapabilities&#38;version=1.0.0 the

reply is missing <Keywords> key in the <Service>. This is a tag described in OGC WFS 1.0 recommendation in
http://portal.opengeospatial.org/files/?artifact_id=7176. It's not possible to use owslib.wfs to parse resources.

Associated revisions

Revision e2d13202 - 2015-12-18 12:20 PM - René-Luc ReLuc

[BUGFIX] WFS GetCapabilities respons misses <keywords> key

Fixes #13037 WFS GetCapabilities respons misses <keywords> key

Replace KeywordList by Keywords in WFS Getcapabilities and keywords in WCS GetCapabilities.

Revision 6e4791ff - 2015-12-18 12:40 PM - René-Luc ReLuc

[BUGFIX] WFS GetCapabilities respons misses <keywords> key

Fixes #13037 WFS GetCapabilities respons misses <keywords> key

Replace KeywordList by Keywords in WFS Getcapabilities and keywords in WCS GetCapabilities.

Revision 7¢633500 - 2015-12-18 12:54 PM - René-Luc ReLuc

[BUGFIX] WFS GetCapabilities respons misses <keywords> key

Fixes #13037 WFS GetCapabilities respons misses <keywords> key

Replace KeywordList by Keywords in WFS Getcapabilities and keywords in WCS GetCapabilities.

Revision 746af794 - 2015-12-18 02:39 PM - René-Luc ReLuc

[BUGFIX] WFS GetCapabilities respons misses <keywords> key

Fixes #13037 WFS GetCapabilities respons misses <keywords> key
http://x.x.x.x/cgi-bin/qgis_mapserv.fcgi?map=myproject.qgs&#38;service=WFS&#38;request=GetCapabilities&#38;version=1.0.0
http://portal.opengeospatial.org/files/?artifact_id=7176

Replace KeywordList by Keywords in WFS Getcapabilities and keywords in WCS GetCapabilities.

History

#1 - 2015-06-30 11:56 AM - Giovanni Manghi
- Operating System deleted (All)
- Status changed from Open to Feedback

| cannot confirm on qgis server master

<WFS_Capabilities version="1.0.0" updateSequence="0" xsi:schemal.ocation="http://www.opengis.net/wfs
http://schemas.opengis.net/wfs/1.0.0/WFS-capabilities.xsd&quot;&amp;gt;&amp;lt;Service&amp;gt; &amp;lt;Name&amp;gt; WF S&amp;lt;/Name&amp;gt; &

mp;lt; Title&amp;gt;map _none&amp;lt;/Title&amp;gt;&amp;lt;Abstract&amp;gt;-&amp;lt;/Abstract&amp;gt;&amp;lt;KeywordList&amp;gt;&amp;lt;Keyword&amp;gt;bl:

amp;gt;blah blah blah</Keyword></KeywordList>...

#2 - 2015-07-31 11:26 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for lack of feedback.

#3 - 2015-11-22 12:52 AM - jachym -

- Status changed from Closed to Reopened

- Affected QGIS version changed from 2.8.2 to 2.12.0

- Priority changed from Normal to High

Reopening:

The bug is actually about WFS Capapabilities response invalidity - the XML response is simply wrong (according to OGC Schema).

How to reproduce (linux):

# download the schema file - it's url is in the head of Capabilities response
wget "http://schemas.opengis.net/wfs/1.0.0/WFS-capabilities.xsd"

# download the capabilities response
wget "http://localhost/cgi-bin/qgis_mapserv.fcgi?REQUEST=GetCapabilities& SERVICE=WFS" -O capabilities.xml

# validate

xmllint --schema WFS-capabilities.xsd capabilities.xml --noout

And the result is:

capabilities.xml:6: element KeywordList: Schemas validity error : Element '{http://www.opengis.net/wfs}KeywordList'": This element is not
expected. Expected is one of ( {http://www.opengis.net/wfs}Keywords, {http://www.opengis.net/wfs}OnlineResource ).

capabilities.xml:45: element GML3: Schemas validity error : Element '{http://www.opengis.net/wfs}GML3": This element is not expected. Expected
http://schemas.opengis.net/wfs/1.0.0/WFS-capabilities.xsd&quot;&amp;gt;&amp;lt;Service&amp;gt;&amp;lt;Name&amp;gt;WFS&amp;lt;/Name&amp;gt;&amp;lt;Title&amp;gt;map_none&amp;lt;/Title&amp;gt;&amp;lt;Abstract&amp;gt;-&amp;lt;/Abstract&amp;gt;&amp;lt;KeywordList&amp;gt;&amp;lt;Keyword&amp;gt;blah
http://schemas.opengis.net/wfs/1.0.0/WFS-capabilities.xsd&quot;&amp;gt;&amp;lt;Service&amp;gt;&amp;lt;Name&amp;gt;WFS&amp;lt;/Name&amp;gt;&amp;lt;Title&amp;gt;map_none&amp;lt;/Title&amp;gt;&amp;lt;Abstract&amp;gt;-&amp;lt;/Abstract&amp;gt;&amp;lt;KeywordList&amp;gt;&amp;lt;Keyword&amp;gt;blah
http://schemas.opengis.net/wfs/1.0.0/WFS-capabilities.xsd&quot;&amp;gt;&amp;lt;Service&amp;gt;&amp;lt;Name&amp;gt;WFS&amp;lt;/Name&amp;gt;&amp;lt;Title&amp;gt;map_none&amp;lt;/Title&amp;gt;&amp;lt;Abstract&amp;gt;-&amp;lt;/Abstract&amp;gt;&amp;lt;KeywordList&amp;gt;&amp;lt;Keyword&amp;gt;blah

is ( {http://www.opengis.net/wfs}GML2 ).

capabilities.xml fails to validate

Therefore | would say, QGIS WFS server is not usable at the moment. But maybe | did something wrong, correct me please, if so.

#4 - 2015-12-17 06:30 AM - lvan Mincik
- Assignee set to Marco Hugentobler

When fixed, please backport it also to 2.8 LTS. Thanks.

#5 - 2015-12-17 02:33 PM - Ivan Mincik

- Assignee changed from Marco Hugentobler to René-Luc ReLuc

#6 - 2015-12-18 03:22 AM - René-Luc ReLuc

- Status changed from Reopened to Closed

Fixed in changeset commit:"e2d1320295fa16fc40f2787531bd5d2cbda2bd29".
